# Installation

## 0R-IDCARD

## Step 1

Put items to your inventory.

## Step 2

Put resource to your resources files and go to server.cfg after that type ensure 0r\_idcard.

### First Note

For new update we removed all databases, if you want to work your script correctly you need to get your cards again.

If you want to give id card, driver license or weapons license on first created character you can use this triggers:

For id card :

```lua
local shot = exports['0r_idcard']:GetBase64(PlayerPedId()) 
TriggerServerEvent("0r_idcard:server:createCard", shot, "citizen")
```

For driver license :

```lua
local shot = exports['0r_idcard']:GetBase64(PlayerPedId()) 
TriggerServerEvent("0r_idcard:server:createCard", shot, "driver")
```

For weapons license :

```lua
local shot = exports['0r_idcard']:GetBase64(PlayerPedId()) 
TriggerServerEvent("0r_idcard:server:createCard", shot, "weapon")
```

## Second Note

* Change your weapon\_license item name from your items like this: weapons\_license
* Script will work for only if you and your players get the cards from peds.

### QB Items

```lua
id_card  = { name  =  'id_card', label  =  'ID Card', weight  =  0, type  =  'item', image  =  'id_card.png', unique  =  true, useable  =  true, shouldClose  =  true, description  =  'A card containing all your information to identify yourself' },
job_card  = { name  =  'job_card', label  =  'Job ID Card', weight  =  0, type  =  'item', image  =  'id_card.png', unique  =  true, useable  =  true, shouldClose  =  true, description  =  'A card containing all your information to identify yourself' },
fake_id_card  = { name  =  'fake_id_card', label  =  'Fake ID Card', weight  =  0, type  =  'item', image  =  'id_card.png', unique  =  true, useable  =  true, shouldClose  =  true, description  =  'A card containing all your information to identify yourself' },
fake_job_card  = { name  =  'fake_job_card', label  =  'Fake Job ID Card', weight  =  0, type  =  'item', image  =  'id_card.png', unique  =  true, useable  =  true, shouldClose  =  true, description  =  'A card containing all your information to identify yourself' },
driver_license  = { name  =  'driver_license', label  =  'Drivers License', weight  =  0, type  =  'item', image  =  'driver_license.png', unique  =  true, useable  =  true, shouldClose  =  true, description  =  'Permit to show you can drive a vehicle' },
weapons_license  = { name  =  'weapons_license', label  =  'Weapon License', weight  =  0, type  =  'item', image  =  'weapon_license.png', unique  =  true, useable  =  true, shouldClose  =  true, description  =  'Permit to show you can use weapon' },
```

### OX Items

```lua
['id_card'] = {
    label = 'ID Card',
    weight = 1,
    stack = false,
    close = true
},
['job_card'] = {
    label = 'Job Card',
    weight = 1,
    stack = false,
    close = true
},
['fake_id_card'] = {
    label = 'Fake ID Card',
    weight = 1,
    stack = false,
    close = true
},
['fake_job_card'] = {
    label = 'Fake Job Card',
    weight = 1,
    stack = false,
    close = true
},
['driver_license'] = {
    label = 'Drivers License',
    weight = 1,
    stack = false,
    close = true
},
['weapons_license'] = {
    label = 'Weapon License',
    weight = 1,
    stack = false,
    close = true
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-idcard-1/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
